/* MORGAN: Copyright 1991-2005: Univ. of Washington. All rights reserved. */
/* You may copy, use, modify, but NOT redistribute, modified or otherwise.*/
/* See: http://www.stat.washington.edu/thompson/Genepi/license.shtml      */

int fit_no_gen (void)                   /* fit environmental model            */
{
   if (chk_stat ())
   {
      chk_repeat ();
      IEn = 1;
   }
   return err_typ;
}

int fit_addi (void)                     /* fit additive covariance            */
{
   if (chk_stat ())
   {
      if (!chk_repeat ())
         reset_fit_cov (0);
      if (chk_covar_i ())
         set_fit_cov (0);
   }
   return err_typ;
}

int fit_resi (void)                     /* fit residual covariance            */
{
   if (chk_stat ())
   {
      if (!chk_repeat ())
         reset_fit_cov (1);
      if (chk_covar_i ())
         set_fit_cov (1);
   }
   return err_typ;
}
