/* MORGAN: Copyright 1991-2005: Univ. of Washington. All rights reserved. */
/* You may copy, use, modify, but NOT redistribute, modified or otherwise.*/
/* See: http://www.stat.washington.edu/thompson/Genepi/license.shtml      */
/*
 * -----------alloc_chk.c:  called by PolyEM programs -----------------
 *                          tests pointer returned by malloc
 *
 * if the pointer is NULL, this functions prints a comment on stderr
 * and calls "give_up_where"
 */

#include "stuff.h"

void alloc_chk (char *src_fil, int lin_no, void *ptr)
{
   if (ptr)
      return;
   else
      give_up_where (src_fil, lin_no, ERS_mal, strerror (errno));
}
